<?php

namespace Ems\portalGestor\Repository;

use Doctrine\ORM\EntityManager;

class MonitoramentoRepository
{
    protected $connection;

    public function __construct(EntityManager $entityManager)
    {
        $this->connection = $entityManager->getConnection();
    }

    public function getPeriodoAtual($params) {
        $sql = <<<SQL
            SELECT
				NRPERIODOAPURACAO,
				TO_CHAR(DTFINALAPURACAO, 'ddmmyyyy') DTFINALAPURACAO
            FROM (
                SELECT *
                FROM pto_periodoapuracao
                WHERE NRORG = :P_NRORG
                ORDER BY DTINICIALAPURACAO DESC
			)
            WHERE ROWNUM = 1
SQL;
        $query = $this->connection->prepare($sql);

        $query->execute($params);

        return $query->fetch();
	}
}
