<?php
namespace EMS\portalGestor\Service;

use Doctrine\ORM\EntityManager;
use Ems\portalGestor\Util\HcmServices;

use EMS\portalGestor\Util\DateUtil;

class ProcessoService {

    /** @var HcmServices */
    protected $hcmServices;

    public function __construct(
        HcmServices     $hcmServices
    ) {
        $this->hcmServices = $hcmServices;
    }

    public function getStatusProcesso(
        int $nrOrg
    ): array {
        $route = 'getStatusProcesso';

        $params = [
            'requestType' => 'Row',
            'row' => [
                'EMPTY' => null,
            ],
        ];

        $result = $this->hcmServices->send($route, $params, $nrOrg);
        $motivos = $result['dataset'][$route];

        return $motivos;
    }
}
